> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Endpoints



## OpenAPI

````yaml api-reference/openapi-cards.json GET /card_auth_loop_endpoint
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Cards
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /card_auth_loop_endpoint:
    get:
      tags:
        - Card Auth Loop Endpoint
      summary: List Endpoints
      parameters:
        - description: Pagination cursor, value is the object ID.
          in: query
          name: page_cursor
          schema:
            type: string
        - description: >-
            Limits the number of objects in the returned list, value must be a
            number greater than or equal to 1. Defaults to 100.
          in: query
          name: page_size
          schema:
            default: 100
            minimum: 1
            type: integer
        - description: >-
            Lists the objects created on the date provided and onwards. Date
            must be in ISO 8601 format (“YYYY-MM-DD”).
          in: query
          name: from_date
          schema:
            type: string
        - description: >-
            Lists the objects created before the date provided. Date must be in
            ISO 8601 format (“YYYY-MM-DD”).
          in: query
          name: to_date
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    data:
                      - basic_secret: <encrypted value>
                        basic_user: organization_name
                        created_at: '2023-12-01T17:00:00Z'
                        default_response: approved
                        id: cale_11ghk0709srf
                        updated_at: '2023-12-01T17:00:00Z'
                        url: https://example.application.com/newurl
                        userdata: null
              schema:
                properties:
                  data:
                    items:
                      properties:
                        basic_secret:
                          description: >-
                            First value in `base64(basic_user:basic_secret)`,
                            sent as Authorization for request validation. This
                            will appear as `<encrypted value>` in all responses,
                            for security
                          type: string
                        basic_user:
                          description: >-
                            First value in `base64(basic_user:basic_secret)`,
                            sent as Authorization for request validation
                          type: string
                        default_response:
                          description: >-
                            Default response to use when the endpoint doesn't
                            respond within the timeout period or returns an
                            error. Please see Managing Card Authorizations for
                            details and warnings. Defaults to 'approved'.
                          type: string
                        id:
                          description: Unique identifier for object
                          type: string
                        url:
                          description: >-
                            The HTTPS URL that will respond to the card auth
                            message
                          type: string
                        userdata:
                          description: Arbitrary data the user can attach
                          type: object
                      type: object
                    type: array
          description: >-
            A dictionary with a `data` property that contains a list of up to
            `page_size` card_auth_loop_endpoint elements, starting after the
            card_auth_loop_endpoint described by `page_cursor`. If no more
            card_auth_loop_endpoints are available, the resulting list will be
            empty.
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````